package com.turkcell.mapexample;

import android.os.Bundle;
import android.support.v4.app.FragmentActivity;

import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.SupportMapFragment;
import com.google.android.gms.maps.model.BitmapDescriptorFactory;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.MarkerOptions;

public class MainActivity extends FragmentActivity {

	private GoogleMap googleHarita;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.mainlayout);

		if (googleHarita == null) {
			googleHarita = ((SupportMapFragment) getSupportFragmentManager().findFragmentById(R.id.haritafragment))
					.getMap();
			if (googleHarita != null) {
				//stanbul, Kz Kulesi olsun.
				LatLng istanbulKoordinat = new LatLng(41.021161,29.004065);
				googleHarita.addMarker(new MarkerOptions()
				.position(istanbulKoordinat).title("Kz Kulesi")
				.icon(BitmapDescriptorFactory.defaultMarker(BitmapDescriptorFactory.HUE_YELLOW)));
				googleHarita.moveCamera(CameraUpdateFactory.newLatLngZoom(istanbulKoordinat, 13));
				googleHarita.setMapType(GoogleMap.MAP_TYPE_HYBRID);
				googleHarita.setMyLocationEnabled(true);
				googleHarita.getUiSettings().setMyLocationButtonEnabled(false);
			}
		}

	}
}
